/**
 * @author wxl
 * @description 处理基础支付功能
 */

import { browser } from '@/helpers/utils'

// 判断浏览器与支付类型，返回对应页面名称
export const beforeSubmit = (pt: string) => {
  // const pt = state.pay_channel
  let payCode = 'qrCode'
  // 判断当前浏览器
  if (browser().weixin) {
    // 微信浏览器
    if (pt == 'alipay_qr' || pt == 'alipay_wap') {
      payCode = 'qrCode'
    } else if (pt == 'wx_pub') {
      payCode = 'pay'
    }
  } else if (browser().alipay) {
    // 支付宝浏览器
    if (pt == 'alipay_wap') {
      // 支付宝 H5 支付
      payCode = 'pay'
    } else {
      payCode = 'qrCode'
    }
  } else {
    payCode = 'qrCode'
  }
  return payCode == 'qrCode' ? 'payDefine' : 'payResult'
}
